#
#   ::::::::> awsac-all-instances-autorun (08-12-16) <::::::::
#
#   by Jan-Philip Gehrcke (jgehrcke@gmail.com)
#   Universitt Wrzburg, Max-Planck-Institut fr Physik Mnchen
# 
#   Copyright (C) 2008 Jan-Philip Gehrcke
#
#   LICENSE:                      
#   This program is free software; you can redistribute it and/or modify 
#   it under the terms of the GNU General Public License as published by 
#   the Free Software Foundation; either version 3 of the License, or 
#   (at your option) any later version. This program is distributed in
#   the hope that it will be useful, but WITHOUT ANY WARRANTY; without
#   even the implied warranty of MERCHANTABILITY or FITNESS FOR A
#   PARTICULAR PURPOSE. See the GNU General Public License for more
#   details. You should have received a copy of the GNU General Public
#   License along with this program; if not, see
#   <http://www.gnu.org/licenses/>.
#
#   read the detailled documentation at http://gehrcke.de/awsac
#
#
# THIS FILE IS SOURCED AS ROOT ON ALL INSTANCES OF YOUR JOB SESSION
# (invoked by awsac-autorun)            
#
# You should be able to use the following environment vars
# (set by awsac-autorun):
# export ATLASDir=/mnt/atlas
# export ATLASworkingDir=/mnt/atlasworkarea
# export AWSACworkingDir=/mnt/awsac
# export SessionInfoDir=${AWSACworkingDir}/sessioninfo
# export SessionInfoFile=${SessionInfoDir}/awsac.sessinfo
# export SessionArchiveFile=${AWSACworkingDir}/sessionarchive.tar.bz2
# export AWSACAutostartFile=${AWSACworkingDir}/awsac_all_instances_autorun.sh
#
########################################################################

echo -e "\n******* awsac-all-instances-autorun *******\n"
echo -e "\n*******          v08-12-16          *******\n"
echo "# getting instance-id (from meta-data server)..."
InstanceIDFile=${SessionInfoDir}/InstanceID
wget http://169.254.169.254/latest/meta-data/instance-id -O ${InstanceIDFile}
if [ $? -eq 0 ]; then
    echo instance id: $(cat ${InstanceIDFile})
    echo "running /opt/bin/python ${AWSACworkingDir}/awsac-processjobs.py --sessioninfofile ${SessionInfoFile} --jobsfile ${AWSACworkingDir}/jobs.cfg --instanceID $(cat ${InstanceIDFile})"

    /opt/bin/python ${AWSACworkingDir}/awsac-processjobs.py --sessioninfofile ${SessionInfoFile} --jobsfile ${AWSACworkingDir}/jobs.cfg --instanceID $(cat ${InstanceIDFile})

else
    echo error while retrieving instance-id from meta-data server
    if [ -e ${InstanceIDFile} ]; then
        rm -rf ${InstanceIDFile}
    fi
fi